using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace ResultView
{
    public class CSetting : arUtil.Setting
    {
        public string MCName { get; set; }

        [DisplayName("프린터이름")]
        public string PrinterName { get; set; }
        [DisplayName("프린트 테두리 그림")]
        public Boolean DrawBorder { get; set; }
        [DisplayName("라벨포맷 7자리 사용")]
        public Boolean PrinterForm7 { get; set; }
        public override void AfterLoad()
        {
            if (PrinterName.isEmpty()) PrinterName = "PrinterL";
        }
        public override void AfterSave()
        {
            //throw new NotImplementedException();
        }
    }
}
